Bug 1124380 - [abrt] nitrogen-1.5.2-13.fc19: handle_error: Process /usr/bin/nitrogen was killed by signal 5 (SIGTRAP)
Summary: [abrt] nitrogen-1.5.2-13.fc19: handle_error: Process /usr/bin/nitrogen was ki...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nitrogen
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Wrigley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3518869761fc76036047dcbd450...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 11:36 UTC by Martin Pavlásek
Modified: 2014-09-08 21:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-08 21:44:20 UTC


Attachments (Terms of Use)
File: backtrace (37.65 KB, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: cgroup (140 bytes, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: core_backtrace (2.47 KB, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: dso_list (7.14 KB, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: environ (1.16 KB, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: maps (32.22 KB, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: open_fds (262 bytes, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details
File: var_log_messages (659 bytes, text/plain)
2014-07-29 11:36 UTC, Martin Pavlásek
no flags Details

Description Martin Pavlásek 2014-07-29 11:36:03 UTC
Version-Release number of selected component:
nitrogen-1.5.2-13.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        nitrogen --restore
crash_function: handle_error
executable:     /usr/bin/nitrogen
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #8 gdk_flush at gdkevents-x11.c:2584
 #9 alloc_scratch_image at gdkimage.c:527
 #10 _gdk_image_get_scratch at gdkimage.c:584
 #11 gdk_draw_rgb_image_core at gdkrgb.c:3327
 #12 gdk_draw_rgb_image_dithalign at gdkrgb.c:3421
 #13 gdk_drawable_real_draw_pixbuf at gdkdraw.c:1828
 #14 gdk_x11_draw_pixbuf at gdkdrawable-x11.c:1496
 #15 SetBG::set_bg_xinerama at SetBG.cc:357

Comment 1 Martin Pavlásek 2014-07-29 11:36:05 UTC
Created attachment 922117 [details]
File: backtrace

Comment 2 Martin Pavlásek 2014-07-29 11:36:06 UTC
Created attachment 922118 [details]
File: cgroup

Comment 3 Martin Pavlásek 2014-07-29 11:36:08 UTC
Created attachment 922119 [details]
File: core_backtrace

Comment 4 Martin Pavlásek 2014-07-29 11:36:09 UTC
Created attachment 922120 [details]
File: dso_list

Comment 5 Martin Pavlásek 2014-07-29 11:36:10 UTC
Created attachment 922121 [details]
File: environ

Comment 6 Martin Pavlásek 2014-07-29 11:36:12 UTC
Created attachment 922122 [details]
File: limits

Comment 7 Martin Pavlásek 2014-07-29 11:36:14 UTC
Created attachment 922123 [details]
File: maps

Comment 8 Martin Pavlásek 2014-07-29 11:36:15 UTC
Created attachment 922124 [details]
File: open_fds

Comment 9 Martin Pavlásek 2014-07-29 11:36:16 UTC
Created attachment 922125 [details]
File: proc_pid_status

Comment 10 Martin Pavlásek 2014-07-29 11:36:17 UTC
Created attachment 922126 [details]
File: var_log_messages

Comment 11 James Wrigley 2014-08-08 23:41:23 UTC
I wasn't able to reproduce this on an F19 VM, but will report it to upstream. Has it happened again or was it just a one-off?

Comment 12 Martin Pavlásek 2014-09-08 20:33:04 UTC
Hi,
it happened only once, I don't know how to reproduce it again :-( I'm mostly using two monitors (internal in notebook + one on DVI in docking station, which is according to xrandr connected to HDMI3).

Comment 13 James Wrigley 2014-09-08 21:44:20 UTC
Ah, ok. Shouldn't be anything to worry about as long as it doesn't happen again/regularly. (I did report it to upstream, just in case)


Note You need to log in before you can comment on or make changes to this bug.